%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-gzip-size
Version:    0.1.0
Release:    2%{?dist}
Summary:    Get the gzipped size of a string or buffer
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/sindresorhus/gzip-size
Source0:    http://registry.npmjs.org/gzip-size/-/gzip-size-%{version}.tgz
Source1:    https://raw.github.com/sindresorhus/gzip-size/40b798dd23850fd815cd24e238ad4095df8158d9/test.js
# https://github.com/sindresorhus/gzip-size/pull/1
Source2:    LICENSE

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(concat-stream)
BuildRequires:  npm(zlib-browserify)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/gzip-size
cp -pr package.json cli.js index.js \
    %{buildroot}%{nodejs_sitelib}/gzip-size

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/gzip-size/cli.js \
    %{buildroot}%{_bindir}/gzip-size

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha
%endif


%files
%doc LICENSE
%{nodejs_sitelib}/gzip-size
%{_bindir}/gzip-size


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
